﻿using Exam.Infrastructure.Data.Entity;
using System.ComponentModel;

namespace Hotline.Share.Dtos.Trains
{
    /// <summary>
    /// 培训模版
    /// </summary>
    [Description("培训模版")]
    public class TrainTemplateDto:ActionRequest
    {
        /// <summary>
        /// 模版标题
        /// </summary>
        [Description("模版标题")]
        public string Name { get; set; }

        /// <summary>
        /// 模版编码
        /// </summary>
        [Description("模版编码")]
        public string Code { get; set; }

        /// <summary>
        /// 是否包含习题
        /// </summary>
        [Description("是否包含习题")]
        public bool IsContainsPractice { get; set; }


        /// <summary>
        /// 培训资料
        /// </summary>
        [Description("培训资料")]
        public List<TrainKnowladgeDto> TrainKnowladges { get; set; }

        /// <summary>
        /// 培训习题
        /// </summary>
        [Description("培训习题")]
        public List<TrainPracticeDto> TrainPracticeDtos { get; set; }
    }
}
